inherit eutils libtool cvs

unset SRC_URI

ECVS_SERVER="cvs.freedesktop.org:/cvs/cairo"
ECVS_MODULE="glitz"

DESCRIPTION="OpenGL backend for cairo. Also used by other apps."
HOMEPAGE="http://www.freedesktop.org/wiki/Software_2fglitz"
LICENSE="BSD"

SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"

IUSE=""

DEPEND="
	virtual/opengl
"

DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO"

USE_DESTDIR="1"

src_unpack() {
	CFLAGS=""
	cvs_src_unpack
	mv ${WORKDIR}/${ECVS_MODULE} ${WORKDIR}/${P}
	cd ${WORKDIR}/${P}
	./autogen.sh --prefix=/usr
	cd ${S}
	elibtoolize
}

src_compile() {
	make
}

src_install() {
	make DESTDIR=${D} install
}

